package control;

import java.util.ArrayList;
import java.util.Collection;

/**
 * 
 * @author Angela Lucchi
 *  Interfaccia che modella i due gestori
 * @param <T>
 */
public interface IGestore<T> {

	public T get(int key);

	public Collection<T> getList();

	public int assegnaCodice();

	public String toString();

	public void salva();

	public void carica();

	public abstract String daiPercorso();

	public abstract ArrayList<T> cerca(String s);
}
