package model;

import java.io.Serializable;

/**
 * 
 * @author Angela Lucchi 
 * Classe astratta che modella un prodotto generico
 */
public class Prodotto implements IProdotto, Serializable {

    private static final long serialVersionUID = 1L;
    protected String tipo;
    protected String nome;
    protected float prezzo;

    public Prodotto(String tipo, String nome, float prezzo) {
        this.tipo = tipo;
        this.nome = nome;
        this.prezzo = prezzo;
    }

    public String getTipo() {
        return tipo;
    }

    public String getNome() {
        return nome;
    }

    public float getPrezzo() {
        return prezzo;
    }

}
